import request from '@/utils/request';
// 初始化list
export function getList(query) {
    return request({
        url: '/basedata/bdconfig/mainsystem/list',
        method: 'get',
        params: query
    })
}
// 主系统类型
export function systemType(query) {
    return request({
        url: '/system/dict/data/type/system_type',
        method: 'get',
        //   params: query
    })
}
//   新增
export function postAdd(query) {
    return request({
        url: '/basedata/bdconfig/mainsystem',
        method: 'post',
        data: query
    })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/bdconfig/mainsystem/remove/${query}`,
    method: 'post',
    // params: query
  })
}
// 修改
export function edit(query) {
    return request({
        url: '/basedata/bdconfig/mainsystem/edit',
        method: 'post',
        data: query
    })
}
// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/bdconfig/mainsystem/${query}`,
    method: 'get',
  })
}